/*
 * GTI (Generic Tool Infrastructure)
 * Copyright (C) ZIH, Technische Universitaet Dresden, Federal Republic of Germany, 2009-2012
 * Copyright (C) Lawrence Livermore National Laboratories, United States of America, 2009-2012
 *
 * See the file LICENSE.txt in the package base directory for details
 */

/**
 * @file GtiTypes.h
 *       Header file for global GTI types.
 *
 * @author Tobias Hilbrich
 */

#ifndef GTI_TYPES_H
#define GTI_TYPES_H

/**
 * This type defines the getInstance function implemented by all
 * modules.
 */
typedef int (*getInstance_t)(void* pOutInstance, const void *pInstanceName);

/**
 * This type defines the freeInstance function implemented by all
 * modules.
 */
typedef int (*freeInstance_t)(void* pInOutInstance);

/**
 * This type defines the freeInstance function implemented by all
 * modules.
 */
typedef int (*addDataHandler_t)(const void* pInstanceName, const void* pKey, const void* pValue);

/**
 * This type defines the getFunction function that needs to be
 * implemented by wrappers.
 */
typedef int (*GTI_Fct_t)(void*);
typedef int (*getFunction_t)(const char* functionName, GTI_Fct_t* pOutFunctionAddr);

#endif /*GTI_TYPES_H*/
